#!/bin/sh

# $Id: fix_cufflinks_tracking_id.sh 6675 2022-04-13 07:02:49Z nicklas $

# Nicklas Nordborg, 2014
#
# Replaces tracking_id and gene_id values in Cufflinks
# *.fpkm_tracking files
#
# The values to search for and their replacement values must
# be defined in the file given as a parameter to this script.
# This file must have at least two columns. The second column
# contain the values to look for and the first column is the 
# replacement values.
#
# The script then read stdin, perform the replacement and
# write the result to stdout
#
# Script inspired by post on http://www.unix.com/302448486-post6.html
#
# run ./fix_cufflinks_tracking_id.sh path/to/map-file < infile > outfile
#

awk 'NR==FNR {a[$2]=$1;next} {for (i in a) gsub(i,a[i])}1' $1 /dev/stdin
