#!/bin/sh
# 
# Usage: ./rsync.sh [PROJECTARCHIVE] [RELEASEPATH]
# Sync files from PROJECTARCHIVE to RELEASEPATH
# A PROJECTARCHIVE location must be specified and should point
# to the root directory of the project archive. The default value
# is taken from the ProjectArchive item in BASE.
# The current directory is the default RELEASEPATH directory
# 
<<RELEASEINFO>>

set -e

PROJECTARCHIVE=${1-<<DEFAULTPROJECTARCHIVE>>}
RELEASEPATH=${2-.}

RSYNCOPTIONS="<<RSYNCOPTIONS>>"
NUMFILES=<<NUMFILES>>
NSYNCED=0

echo "Syncing ${NUMFILES} files from '${PROJECTARCHIVE}' to '${RELEASEPATH}'"

# Syncs a single file from PROJECTARCHIVE to RELEASEPATH
# $1 = The source file
# $2 = The destination file
function syncFile {
	NSYNCED=$(( ${NSYNCED} + 1 ))
	echo "[${NSYNCED}/${NUMFILES}] ${RELEASEPATH}$2"
	rsync ${RSYNCOPTIONS} ${PROJECTARCHIVE}$1 ${RELEASEPATH}$2
}

<<SCRIPT>>

echo Done: ${NSYNCED} files have been synced
