var CDNAreg = function()
{
	var cdnareg = {};
	var debug = 0;
	
	var commentsIsValid = true;

	// Page initialization
	cdnareg.initPage = function()
	{
		// Step 1
		Events.addEventHandler('outcomeSuccess', 'click', cdnareg.outcomeOnChange);
		Events.addEventHandler('outcomeFailed', 'click', cdnareg.outcomeOnChange);
		Events.addEventHandler('step-1', 'wizard-validate', cdnareg.validateStep1);
		
		// Step 2
		Events.addEventHandler('step-2', 'wizard-initialize', cdnareg.initializeStep2);
		Events.addEventHandler('step-2', 'wizard-validate', cdnareg.validateStep2);
		Events.addEventHandler('synthesisDate', 'blur', Wizard.validateDate);
		Events.addEventHandler('comments', 'blur', cdnareg.commentsOnChange);
		
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', cdnareg.submit);
		
		var url = '../MRna.servlet?ID='+App.getSessionId();
		url += '&cmd=GetUnprocessedPlates&plateType=CDNA';		
		Wizard.showLoadingAnimation('Loading cDNA plates...');
		Wizard.asyncJsonRequest(url, cdnareg.initializeStep1);
	}


	cdnareg.initializeStep1 = function(response)
	{
		var frm = document.forms['reggie'];
		var bioplates = response.bioplates;
		
		var plates = frm.bioplate;
		if (bioplates.length > 0)
		{
			for (var i=0; i < bioplates.length; i++)
			{
				var bioplate = bioplates[i];
				var option = new Option(bioplate.name, bioplate.id);
				option.plate = bioplate;
				plates.options[plates.length] = option;
			}
			bioplateIsValid = true;
			Wizard.setInputStatus('bioplate', 'valid');
			cdnareg.outcomeOnChange();
		}
		else
		{
			Wizard.setFatalError('No cDNA bioplates available for processing.');
			return;
		}

		Doc.show('step-1');
		Doc.show('gonext');
		frm.bioplate.focus();
	}
	
	cdnareg.outcomeOnChange = function()
	{
		Doc.addOrRemoveClass('comments', 'required', Doc.element('outcomeFailed').checked);
		cdnareg.commentsOnChange();
	}

	cdnareg.validateStep1 = function()
	{}
	
	cdnareg.initializeStep2 = function()
	{
		var frm = document.forms['reggie'];	
		
		Wizard.setCurrentStep(2);
		if (Doc.element('outcomeFailed').checked)
		{
			Wizard.showGoNextConfirmation(true, 'Check to verify registration of failure.');
		}

		Doc.show('gocancel');
		Doc.show('goregister');
		
		
		Reggie.loadProtocols('CDNA_PROTOCOL', 'cdnaProtocol');
		frm.synthesisDate.focus();
	}

	cdnareg.commentsOnChange = function()
	{
		var frm = document.forms['reggie'];
		commentsIsValid = false;
		Wizard.setInputStatus('comments');
		
		var comments = frm.comments.value;
		if (comments == '' && Doc.element('outcomeFailed').checked)
		{
			Wizard.setInputStatus('comments', 'invalid', 'Missing');
			return;
		}

		Wizard.setInputStatus('comments', 'valid');
		commentsIsValid = true;
	}

	cdnareg.validateStep2 = function(event)
	{
		var valid = true;
		valid &= commentsIsValid;
		valid &= Wizard.isValid('synthesisDate');
		if (!valid) event.preventDefault();
	}
	
	cdnareg.submit = function()
	{
		var frm = document.forms['reggie'];

		var submitInfo = {};
		submitInfo.bioplate = parseInt(frm.bioplate.value, 10);
		submitInfo.failed = Doc.element('outcomeSuccess').checked ? false : true;
		submitInfo.cdnaProtocol = parseInt(frm.cdnaProtocol.value, 10);
		submitInfo.synthesisDate = frm.synthesisDate.value;
		submitInfo.synthesisOperator = frm.synthesisOperator.value;
		submitInfo.comments = frm.comments.value;
		
		var url = '../MRna.servlet?ID='+App.getSessionId();
		url += '&cmd=ImportCDnaResults';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, cdnareg.submissionResults, 'POST', JSON.stringify(submitInfo));
	}

	cdnareg.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}

	return cdnareg;
}();

Doc.onLoad(CDNAreg.initPage);

