<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.ItemList"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String root = request.getContextPath();
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final int listId = Values.getInt(request.getParameter("workList"));
	ItemList workList = ItemList.getById(dc, listId);
	final boolean useExternalId = Values.getBoolean(request.getParameter("useExternalId"));
%>
<base:page id="protocol" type="iframe" noskin="true"
	favicon="<%=home+"/images/outtake.png"%>" 
	title="Pick list protocol for sample outtake">
<base:head
	scripts="~../reggie-2.js,~picklist.js" 
	styles="~../css/reggie-2.css,~../css/printable.css"
	>
	<style>
	
	td, th
	{
		padding: 3px;
	}
	
	table.top-header, table.aliquot-list
	{
		width: 100%;
		border: 1px solid #000000;
		margin-bottom: 1em;
		border-collapse: collapse;
	}
	
	table.top-header th
	{
		width: 20%;
		text-align: left;
		background-color: #F0F0F0;
		border-right: 1px solid #000000;
	}
	
	table.top-header td
	{
		width: 80%;
	}

	table.aliquot-list thead
	{
		border-bottom: 1px solid #000000;
	}

	table.aliquot-list thead th
	{
		background-color: #F0F0F0;
	}

	table.aliquot-list tbody th
	{
	}
	
	table.aliquot-list tbody tr
	{
		border-bottom: 1px dotted #999999;
	}
	
	table.aliquot-list tbody tr.box-row 
	{
		border-top: 1px solid #000000;
		background-color: #F0F0F0;
	}
	
	table.aliquot-list tbody tr.box-row td
	{
		font-weight: bold;
		padding: 0.5em;
	}
	
	table.aliquot-list tbody tr.box-row td .freezer
	{
		font-weight: normal;
	}
	
	table.aliquot-list tbody tr.odd-row .new-box
	{
		background-color: #D0D0D0;
	}
	td.label
	{
		font-weight: bold;
		white-space: nowrap;
	}
	td.volume
	{
		width: 5em;
		padding-right: 1em;
		text-align: right;
		color: #C80000;
	}
	td.water
	{
		width: 5em;
		padding-right: 1em;
		text-align: right;
		color: #0000C8;
	}
	td.box
	{
		text-align: center;
	}
	/* Can't use display: none since it will cause colspan=".." to fail */
	.nolabels .label
	{
		width: 0;
		max-width: 0;
		overflow: hidden;
		visibility: hidden;
	}
	</style>
</base:head>
<base:body>
	<div class="paper">

	<form name="reggie" id="wizard">
	
	<div id="wizard-status"></div>
	
	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<br clear="all">
	</div>

	<div id="page-data" class="datacontainer"
		data-list-id="<%=listId%>"
		data-use-external-id="<%=useExternalId ? 1 : 0%>"
	></div>

	<h1>Pick list protocol for sample outtake</h1>
	
	<table class="top-header">
	<tr>
		<th>Work list</th>
		<td><%=HTML.encodeTags(workList.getName())%></td>
	</tr>
	<tr>
		<th>Parent item type</th>
		<td><span id="parentType"></span></td>
	</tr>
	<tr id="targetAmountSection">
		<th>Target amount</th>
		<td><span id="targetAmount"></span></td>
	</tr>
	<tr id="targetVolumeSection">
		<th>Target volume</th>
		<td><span id="targetVolume"></span></td>
	</tr>
	<tr id="targetConcentrationSection">
		<th>Target concentration</th>
		<td><span id="targetConcentration"></span></td>
	</tr>
	<tr>
		<th>New boxes</th>
		<td><span id="newBoxes"></span></td>
	</tr>
	<tr style="border-top: 1px solid #000000;"> 
		<td colspan="2" style="height: 5em; vertical-align: top;"><%=HTML.niceFormat(workList.getDescription()) %></td>
	</tr>
	</table>
	
	<table id="aliquot-table" class="aliquot-list nolabels">
		<thead>
		<tr>
			<th colspan="3">Source item</th>
			<th colspan="2" class="leftborder">Dilution (µl)</th>
			<th colspan="2" class="leftborder">Aliquot item</th>
			<th class="leftborder"></th>
		</tr>
		<tr>
			<th>Name</th>
			<th class="label">Label¹</th>
			<th>Storage location</th>
			<th class="leftborder">Volume</th>
			<th>H<sub>2</sub>0</th>
			<th class="leftborder"><%=useExternalId ? "External ID" : "Name" %></th>
			<th>New box</th>
			<th class="leftborder">Comments</th>
		</tr>
		</thead>
		
		<tbody id="aliquot-list"></tbody>
	</table>
	<div id="protocol-footer" style="display: none;">
		¹ Some SCAN-B tubes have a non-standard label.
	</div>

	</div>
	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>